#ifndef _BOARD_EASY50712_H
#define _BOARD_EASY50712_H
/******************************************************************************

                               Copyright (c) 2008
                            Infineon Technologies AG
                     Am Campeon 1-12; 81726 Munich, Germany

  For licensing information, see the file 'LICENSE' in the root folder of
  this software module.

  ****************************************************************************
   Module      : board_easy50712.h
   Description :
 ****************************************************************************
   \file board_easy50712.h

   \remarks
      
   \note Changes:
*******************************************************************************/

/* ============================= */
/* Includes                      */
/* ============================= */
#include "device_vmmc.h"

/* ============================= */
/* Debug interface               */
/* ============================= */

/* ============================= */
/* Global Defines                */
/* ============================= */

/* ============================= */
/* Global Variables              */
/* ============================= */
#define SYSTEM_AM_DEFAULT_VMMC 0

/** IRQ number definition for DuSLIC on EASY50712. Basically is it taken from
    asm/danube/irq.h. */
#define INT_NUM_IM2_IRL31 (0 + 64 + 31)

/** IRQ number definition for Teridian on EASY50712, currently not used. */
#define INT_NUM_IRQ        0

/* ============================= */
/* Global Structures             */
/* ============================= */

/* ============================= */
/* Global function declaration   */
/* ============================= */

IFX_return_t BOARD_Easy50712_SetPin_Direction_onGPIO(GPIO_ACCESS_DEV_t eType);
IFX_return_t BOARD_Easy50712_Reset(BOARD_t* pBoard,
                                   IFX_int32_t nArg,
                                   IFX_boolean_t hSetReset);
IFX_return_t BOARD_Easy50712_SetPCM_Master_overGPIO(IFX_void_t);
IFX_return_t BOARD_Easy50712_Register(BOARD_t* pBoard);

#endif /* _BOARD_EASY50712_H */

