#ifndef _EVENT_HANDLING_H
#define _EVENT_HANDLING_H
/******************************************************************************

                               Copyright (c) 2008
                            Infineon Technologies AG
                     Am Campeon 1-12; 81726 Munich, Germany

  For licensing information, see the file 'LICENSE' in the root folder of
  this software module.

  ****************************************************************************
   Module      : event_handling.h
   Date        : 2006-03-28
   Description : This file contains general function declaration for
                 handling events.

******************************************************************************
   \file event_handling.h

   \remarks This file contains general function declaration for handling events.

   \note Changes:
*******************************************************************************/

/* ============================= */
/* Includes                      */
/* ============================= */

/* ============================= */
/* Global Defines                */
/* ============================= */

/* ============================= */
/* Local Macros & Definitions    */
/* ============================= */

/* ============================= */
/* Global Structures and enums   */
/* ============================= */

/** Flag to check event on all channels */
enum
{
   CHECK_ALL_CH = -1
};
/** Flag to check event on all devices */
enum
{
   CHECK_ALL_DEV = -1
};

/** Flag to distinct if events should be checked on FXO or FXS */
typedef enum
{
   /** Check events on FXS */
   CHECK_EVENTS_ON_FXS = 0,
   /** Check events on FXO */
   CHECK_EVENTS_ON_FXO = 1,
} EVENTS_FROM_t;

/* ============================= */
/* Global Variable definition    */
/* ============================= */

/* ============================= */
/* Global function declaration   */
/* ============================= */

IFX_return_t EVENT_Check(IFX_int32_t nDevCtrl_FD, BOARD_t* pBoard,
                         EVENTS_FROM_t eEventsFrom);

IFX_return_t EVENT_Handle(PHONE_t *pPhone, CTRL_STATUS_t* pCtrl,
                          BOARD_t* pBoard);
IFX_boolean_t EVENT_DTMF_Dialing(IFX_int32_t nDataCh, BOARD_t* pBoard);
IFX_return_t EVENT_GetOwnerOfEvent(BOARD_t* pBoard, EVENTS_FROM_t eEventsFrom,
                                   PHONE_t** ppPhone, CONNECTION_t** ppConn,
                                   IFX_boolean_t* pbIsFxo, FXO_t** ppFXO);
IFX_return_t EVENT_InternalEventHandle(CTRL_STATUS_t* pCtrl);
IFX_return_t EVENT_FXO_Handle(FXO_t* pFXO, CTRL_STATUS_t* pCtrl,
                              BOARD_t* pBoard);
#if !defined(STREAM_1_1)
IFX_return_t EVENT_Handle_DataCH(IFX_uint32_t nDataCh, PHONE_t *pPhone,
                                  BOARD_t* pBoard, FXO_t* pFXO);
#endif /* !defined(STREAM_1_1) */

#endif /* _EVENT_HANDLING_H */

