/******************************************************************************

                               Copyright (c) 2008
                            Infineon Technologies AG
                     Am Campeon 1-12; 81726 Munich, Germany

  For licensing information, see the file 'LICENSE' in the root folder of
  this software module.

  ****************************************************************************
   Module      : lib_tapi_signal.h
   Desription  : TAPI signal handling.
*******************************************************************************/
#ifndef _LIB_TAPI_SIGNAL_H
#define _LIB_TAPI_SIGNAL_H

#include "tapidemo.h"

/* ============================= */
/* Global Structures and enums   */
/* ============================= */

/** custom defined signals, just used by us */
enum
{
   TAPI_SIGNAL_CALLER = 1,
   TAPI_SIGNAL_CALLEE = 0,
   TAPI_SIGNAL_TONEHOLDING = 0xFFFFFFFD,
   TAPI_SIGNAL_TIMEOUT = 0xFFFFFFFE
};

/* ============================= */
/* Global function declaration   */
/* ============================= */

extern IFX_return_t SIGNAL_EnableDetection(IFX_int32_t fd, 
                                           IFX_TAPI_SIG_DETECTION_t *pSignal,
                                           PHONE_t* pPhone);
extern IFX_return_t SIGNAL_DisableDetection(IFX_int32_t fd, 
                                            IFX_TAPI_SIG_DETECTION_t *pSignal,
                                            PHONE_t* pPhone);
extern IFX_return_t SIGNAL_ClearChannel(PHONE_t *pPhone, CONNECTION_t* pConn);
extern IFX_return_t SIGNAL_DisableNLP(PHONE_t *pPhone);

extern IFX_return_t SIGNAL_Setup(IFX_int32_t fd, PHONE_t* pPhone);
extern IFX_return_t SIGNAL_HandlerReset(IFX_int32_t fd, PHONE_t* pPhone);
extern IFX_return_t SIGNAL_RestoreChannel(PHONE_t *pPhone, CONNECTION_t* pConn);
extern IFX_return_t SIGNAL_StoreSettings(PHONE_t *pPhone, CONNECTION_t* pConn);

#endif /* _LIB_TAPI_SIGNAL_H */

